1. Companies
Leadfeeder API
  • Introduction
  • Authentication
  • Getting Started
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • List of NACE / WZ codes
  • List of Industries
  • Account
    • List Accounts
  • Companies
    • Get Company Details
      GET
    • Retrieve Companies
      GET
    • Company Financial Reports
      GET
    • Search Company Signals
      POST
    • Search Companies
      POST
    • Match Companies
      POST
    • Retrieve Company IPs
      GET
    • Add Company to Lists
      POST
    • Remove Company from Lists
      DELETE
    • Assign Tags to Company
      POST
    • Unassign Tags from Company
      DELETE
    • Estimate Company Enrichment Job
      POST
    • Create Company Enrichment Job
      POST
    • Get Company Enrichment Job Status
      GET
  • Contacts
    • Get Contact Details
    • Retrieve Contacts
    • Search Contacts
    • Add Contact to Lists
    • Remove Contact from Lists
    • Estimate Find Contact Data Job
    • Create Find Contact Data Job
    • Get Find Contact Data Job Status
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
    • Retrieve Custom Feeds
    • Create a Custom Feed
    • Get Custom Feed Details
    • Update Custom Feed
    • Delete a Custom Feed
    • Retrieve Custom Feeds Folders
    • Retrieve Web Visits Tracker Script
    • Retrieve Visitor Companies
  • IP
    • Enrich Company IP Address
  • Buyer Personas
    • Retrieve Buyer Personas
    • Get Buyer Persona Details
  • Ideal Customer Profiles
    • Retrieve Ideal Customer Profiles
    • Get Ideal Customer Profile Details
  • Tags
    • Retrieve Tags
    • Create Tag
    • Get Tag Details
    • Update Tag
    • Delete Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Get List Details
    • Update List
    • Delete List
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Get Custom Field Details
    • Update Custom Field
    • Delete Custom Field
  • Usage
    • Get Endpoints Usage
  • Schemas
    • AccountV1
    • AccountSummaryV1
    • ErrorObjectV1
    • CompanyV1
    • TagV1
    • ListV1
    • VisitLocationV1
    • WebVisitV1
    • CRMUserV1
    • CRMOrganizationV1
    • CRMContactV1
    • CRMLeadV1
    • CRMConnectionV1
    • CRMSuggestionV1
    • CRMGroupConnectionV1
    • ICPV1
    • CompanyFinancialsV1
    • IpAddressExtendedV1
    • CompanyIpV1
    • SignalV1
    • CompanySummaryV1
    • MaskedCompanySummaryV1
    • CompanyMatchV1
    • EnrichmentJobV1
    • BuyerPersonaV1
    • ContactV1
    • ContactSummaryV1
    • MaskedContactSummaryV1
    • FindContactDataJobV1
    • CustomFieldV1
    • IpLocationV1
    • NetworkV1
    • EnrichedIpV1
    • ApiUsageV1
    • CustomFeedV1
    • CustomFeedRequestV1
    • CustomFeedFolderV1
    • WebVisitsTrackerScriptV1
    • LocationV1
    • CompanyLocationV1
  1. Companies

Company Financial Reports

GET
/v1/companies/{id}/financials
Returns all financial reports for a given company.
Credit Note: Accessing financial data consumes 1 credit per company only if financial data is available and there was no active deep data access within the last 12 months. Once charged, no additional credits are consumed for accessing the same company’s financial data again within that 12-month period.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Path Params

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.leadfeeder.com/v1/companies/159001425/financials?account_id=123456' \
--header 'X-Api-Key: <api-key>'

Responses

🟢200OK
application/json
Success
Bodyapplication/json

Example
{
    "data": [
        {
            "type": "company_financials",
            "id": "129011_2024",
            "attributes": {
                "year": 2024,
                "consolidated": true,
                "available_indicators": [
                    {
                        "name": "accounts_receivable",
                        "type": "currency",
                        "value": 1234567,
                        "unit": "EUR",
                        "estimated": false
                    }
                ]
            }
        }
    ],
    "meta": {
        "credits": {
            "charged": 1
        },
        "request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
    }
}
🟠403Forbidden
🟠404Record Not Found
🟠429Too Many Requests
🔴500Server Error
🔴504Gateway Timeout
Modified at 2026-05-22 11:02:07
Previous
Retrieve Companies
Next
Search Company Signals
Built with